---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr for`

Create new merge request for an issue

```plaintext
glab mr for [flags]
```

## Aliases

```plaintext
new-for
create-for
for-issue
```

## Examples

```plaintext
glab mr for 34   # Create mr for issue 34
glab mr for 34 --wip   # Create mr and mark as work in progress
glab mr new-for 34
glab mr create-for 34

```

## Options

```plaintext
      --allow-collaboration    Allow commits from other members
  -a, --assignee string        Assign merge request to people by their IDs. Multiple values should be comma separated 
      --draft                  Mark merge request as a draft. (default true)
  -l, --label string           Add label by name. Multiple labels should be comma separated
  -m, --milestone int          add milestone by <id> for merge request (default -1)
      --remove-source-branch   Remove Source Branch on merge
  -b, --target-branch string   The target or base branch into which you want your code merged
      --wip                    Mark merge request as a work in progress. Overrides --draft
      --with-labels            Copy labels from issue to the merge request
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
